## org.exist.security
Class MD5

    java.lang.Object
      org.exist.security.MD5

public class MD5
extends java.lang.Object

Constructor Summary
`MD5()`

Method Summary
`static java.lang.String` `byteArrayToHex(byte[] b)`
`static void` `main(java.lang.String[] args)` The main program for the MD5 class
`static java.lang.String` `md(java.lang.String passwd, boolean base64)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MD5

    public MD5()

Method Detail

### md

    public static java.lang.String md(java.lang.String passwd,
                                      boolean base64)

### byteArrayToHex

    public static java.lang.String byteArrayToHex(byte[] b)

### main

    public static void main(java.lang.String[] args)

  The main program for the MD5 class

  Parameters:
    `args` - The command line arguments

Copyright (C) Wolfgang Meier. All rights reserved.